
Redmine - Patch #36795

Set the minimum required version of ROTP gem to 5.0.0

2022-03-18 00:34 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.2.5   

Description

Two-factor authentication does not work if ROTP prior to 5.0.0 is installed (see Got 500 error when enabling 2FA.). The attached

patch sets the minimum required version of ROTP gem.

$ ruby test/integration/twofa_test.rb

Run options: --seed 18716

# Running:

F

Failure:

TwofaTest#test_should_require_twofa_setup_when_required_for_administrators [test/integration/twofa

_test.rb:51]:

Expected response to be a <3XX: redirect>, but was a <500: Internal Server Error>

rails test test/integration/twofa_test.rb:34

F

Failure:

TwofaTest#test_should_require_twofa_setup_when_required_by_group [test/integration/twofa_test.rb:7

6]:

Expected response to be a <3XX: redirect>, but was a <500: Internal Server Error>

rails test test/integration/twofa_test.rb:55

.

.

.

Associated revisions

Revision 21462 - 2022-03-18 03:19 - Go MAEDA

Set the minimum required version of ROTP gem to 5.0.0 (#36795).

Revision 21486 - 2022-03-21 07:44 - Go MAEDA

Merged r21462 from trunk to 4.2-stable (#36795).

History

#1 - 2022-03-18 03:19 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

#2 - 2022-03-21 07:44 - Go MAEDA

- Target version changed from 5.0.0 to 4.2.5
